Bug 1327424 - (phpdocumentor/reflection) Review Request: php-phpdocumentor-reflection - Reflection library to do Static Analysis for PHP Projects
Review Request: php-phpdocumentor-reflection - Reflection library to do Stati...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Hogarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-15 03:07 EDT by Remi Collet
Modified: 2016-05-26 16:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-20 13:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
james.hogarth: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2016-04-15 03:07:58 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/696ea6455d260bf392703e7d3678dfcca9686795/php/php-phpdocumentor-reflection/php-phpdocumentor-reflection.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-phpdocumentor-reflection-1.0.7-1.remi.src.rpm
Description: 
Using this library it is possible to statically reflect one or more files
and create an object graph representing your application's structure,
including accompanying in-source documentation using DocBlocks.

The information that this library provides is similar to what the (built-in)
Reflection extension of PHP provides; there are however several advantages
to using this library:

* Due to its Static nature it does not execute procedural code in your
  reflected files where Dynamic Reflection does.
* Because the none of the code is interpreted by PHP (and executed)
  Static Reflection uses less memory.
* Can reflect complete files
* Can reflect a whole project by reflecting multiple files.
* Reflects the contents of a DocBlock instead of just mentioning there is one.
* Is capable of analyzing code written for any PHP version (starting at 5.2)
  up to and including your installed PHP version.

Features
* [Creates an object graph] containing the structure of your application much
  like a site map shows the structure of a website.
* Can read and interpret code of any PHP version starting with 5.2 up to and
  including your currently installed version of PHP.
* Due it's clean interface it can be in any application without a complex setup.


Fedora Account System Username: remi
Comment 1 Remi Collet 2016-04-15 03:11:49 EDT
Needed by Symfony 2.8.

Notice I have to bundle PHPParser as current version in Fedora is 1.4.1 which is too recent.

Next version of this library (2.x, in alpha state) will use PHPParser 2.x

I think it make sense to package a parallel installation for a new version (v1 vs v2) but not for an old, deprecated and unmaintained one.

Of course, this is temporary until new version is available.
Comment 2 James Hogarth 2016-05-06 09:25:42 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

- Please remove EPEL5 boilerplate when importing
- Bundled PHPParser
  *  This is not required with the 2.0 release in alpha so is only temporary.
     The version required is older than that which Fedora ships, and is not 
     suitable for a parallel package for the time till 2.0
- Separate LICENSE in SOURCE
  * The upcoming version has the license included.
    The SOURCE license is verified to match the license from 2.0 alpha and matches
    the license chosen by the copyright holder in the composer.json


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (2 clause)", "Unknown or generated".
     219 files have unknown license. Detailed output of licensecheck in
     /home/james/workspace/fedora-scm/1327424-php-phpdocumentor-
     reflection/licensecheck.txt
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.0 DB built Apr 12 2016 13:38:01 CEST
     static analyze results in /home/james/workspace/fedora-scm/1327424
     -php-phpdocumentor-reflection/phpci.log


Rpmlint
-------
Checking: php-phpdocumentor-reflection-1.0.7-1.fc25.noarch.rpm
          php-phpdocumentor-reflection-1.0.7-1.fc25.src.rpm
php-phpdocumentor-reflection.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-phpdocumentor-reflection.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-phpdocumentor-reflection.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-phpdocumentor-reflection.src: W: spelling-error %description -l en_US usr -> use, us, user
php-phpdocumentor-reflection.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
php-phpdocumentor-reflection.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-phpdocumentor-reflection.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-phpdocumentor-reflection.noarch: W: invalid-url URL: https://github.com/phpDocumentor/Reflection <urlopen error [Errno -3] Temporary failure in name resolution>
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
php-phpdocumentor-reflection (rpmlib, GLIBC filtered):
    php(language)
    php-PsrLog
    php-composer(phpdocumentor/reflection-docblock)
    php-composer(psr/log)
    php-pcre
    php-spl



Provides
--------
php-phpdocumentor-reflection:
    bundled(nikic/php-parser)
    php-composer(phpdocumentor/reflection)
    php-phpdocumentor-reflection



Source checksums
----------------
https://raw.githubusercontent.com/phpDocumentor/Reflection/develop/LICENSE :
  CHECKSUM(SHA256) this package     : 06063317b326f364bd17ebb74e8a329aa65d053355815651d32f3d38372a1b42
  CHECKSUM(SHA256) upstream package : 06063317b326f364bd17ebb74e8a329aa65d053355815651d32f3d38372a1b42
https://github.com/phpDocumentor/Reflection/archive/fc40c3f604ac2287eb5c314174d5109b2c699372/Reflection-1.0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 3edc6de5bde62d2fe9cc08c9462ccee88a9226fd5b4f6d5d46a9c93902d9ee6a
  CHECKSUM(SHA256) upstream package : 3edc6de5bde62d2fe9cc08c9462ccee88a9226fd5b4f6d5d46a9c93902d9ee6a
https://github.com/nikic/PHP-Parser/archive/1e5e280ae88a27effa2ae4aa2bd088494ed8594f/PHP-Parser-0.9.4.tar.gz :
  CHECKSUM(SHA256) this package     : 04296681724e001b542ffc8eb8ee93f50d0504e91190ee63dd79eddab763f2b0
  CHECKSUM(SHA256) upstream package : 04296681724e001b542ffc8eb8ee93f50d0504e91190ee63dd79eddab763f2b0


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1327424
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Result =====
Approved with the EPEL5 boilerplate stripped.
Comment 3 Remi Collet 2016-05-06 09:56:15 EDT
Thanks for the review.

SCM requsted on pkgdb.
Comment 4 Gwyn Ciesla 2016-05-06 12:56:05 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-phpdocumentor-reflection
Comment 5 Fedora Update System 2016-05-11 02:42:05 EDT
php-phpdocumentor-reflection-1.0.7-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c95d3fb968
Comment 6 Fedora Update System 2016-05-11 02:42:13 EDT
php-phpdocumentor-reflection-1.0.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-809705d469
Comment 7 Fedora Update System 2016-05-11 02:42:17 EDT
php-phpdocumentor-reflection-1.0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a6cb7e35c8
Comment 8 Fedora Update System 2016-05-12 04:35:28 EDT
php-phpdocumentor-reflection-1.0.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a6cb7e35c8
Comment 9 Fedora Update System 2016-05-12 05:34:35 EDT
php-phpdocumentor-reflection-1.0.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-809705d469
Comment 10 Fedora Update System 2016-05-12 05:41:45 EDT
php-phpdocumentor-reflection-1.0.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c95d3fb968
Comment 11 Fedora Update System 2016-05-20 13:40:48 EDT
php-phpdocumentor-reflection-1.0.7-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-05-20 19:51:17 EDT
php-phpdocumentor-reflection-1.0.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-05-26 16:51:21 EDT
php-phpdocumentor-reflection-1.0.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.